package com.sunxung.factoring.entity.project.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 黑名单
 * </p>
 *
 * @author liutao
 * @since 2023-11-23
 */
public class CBlacklist extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 类型
     */
    private String punishType;

    /**
     * 列入原因
     */
    private String caseReason;

    /**
     * 列入机关
     */
    private String decisionOffice;

    /**
     * 列入日期，精确到天，如“2022-01-01”
     */
    private String decisionDate;

    /**
     * 移出日期，精确到天，如“2022-01-01”
     */
    private String removedDate;

    /**
     * 综合风险排查信息表id
     */
    private Long comprehensiveRiskInvestigationId;

    @JSONField(name = "id")
    private String idStr;

    /**
     * 黑名单 0 否 1 是
     */
    private Integer blacklist;

    public Integer getBlacklist() {
        return blacklist;
    }

    public void setBlacklist(Integer blacklist) {
        this.blacklist = blacklist;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public String getPunishType() {
        return punishType;
    }

    public void setPunishType(String punishType) {
        this.punishType = punishType;
    }

    public String getCaseReason() {
        return caseReason;
    }

    public void setCaseReason(String caseReason) {
        this.caseReason = caseReason;
    }

    public String getDecisionOffice() {
        return decisionOffice;
    }

    public void setDecisionOffice(String decisionOffice) {
        this.decisionOffice = decisionOffice;
    }

    public String getDecisionDate() {
        return decisionDate;
    }

    public void setDecisionDate(String decisionDate) {
        this.decisionDate = decisionDate;
    }

    public String getRemovedDate() {
        return removedDate;
    }

    public void setRemovedDate(String removedDate) {
        this.removedDate = removedDate;
    }

    public Long getComprehensiveRiskInvestigationId() {
        return comprehensiveRiskInvestigationId;
    }

    public void setComprehensiveRiskInvestigationId(Long comprehensiveRiskInvestigationId) {
        this.comprehensiveRiskInvestigationId = comprehensiveRiskInvestigationId;
    }

    @Override
    public String toString() {
        return "CBlacklist{" +
                "punishType=" + punishType +
                ", caseReason=" + caseReason +
                ", decisionOffice=" + decisionOffice +
                ", decisionDate=" + decisionDate +
                ", removedDate=" + removedDate +
                ", comprehensiveRiskInvestigationId=" + comprehensiveRiskInvestigationId +
                "}";
    }
}
